%define module	SciPy
%define name	python-%{module}
%define version 0.3.2
%define release 2

Summary:	Scientific tools for Python
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Source0:	http://www.scipy.org/download/scipy/src/SciPy_complete-%{version}.tar.bz2
License:	GPL
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-buildroot
Url:		http://www.scipy.org
BuildRequires:	python-numeric-devel gcc3.3-g77 f2py python-devel fftw2-devel blas-devel lapack-devel gcc3.3
Requires:	python-numeric

%description
SciPy is an open source library of scientific tools for Python. SciPy
supplements the popular Numeric module, gathering a variety of high level
science and engineering modules together as a single package.

SciPy includes modules for graphics and plotting, optimization, integration,
special functions, signal and image processing, genetic algorithms, ODE 
solvers, and others.

%prep
%setup -n SciPy_complete-%version -q

%build

export BLAS=%{_libdir}/libblas.a
export LAPACK=%{_libdir}/liblapack.a
export ATLAS=None
export CC=gcc-`gcc3.3-version`

python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

export BLAS=%{_libdir}/libblas.a
export LAPACK=%{_libdir}/liblapack.a
export ATLAS=None

python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

# %check
# export PYTHONPATH=$RPM_BUILD_ROOT/%{_libdir}/python%{pyver}/site-packages/
# echo $PYTHONPATH
# python -c "import scipy; scipy.test(level=1)"

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc *.txt

%changelog
* Thu Sep 15 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.3.2-2mdk
- requires and use gcc3.3-g77

* Wed Mar 30 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 0.3.2-1mdk
- initial contrib
